
-- DROP TABLE factor_hdr;




CREATE TABLE factor_hdr (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    factor_number number(12) NULL,
    factor_hdr_desc varchar2(30) NULL,
    class_code varchar2(15) NULL,
    factor_hdr_notes clob NULL,
    level_number number(12) NULL,
    left_annot varchar2(60) NULL,
    right_annot varchar2(60) NULL,
    factor_hdr_desc_schinese varchar2(120) NULL,
    factor_hdr_desc_chinese varchar2(120) NULL,
    factor_hdr_desc_korean varchar2(120) NULL,
    factor_hdr_desc_thai varchar2(120) NULL,
    z_score_wght number(20,5) NULL,
    z_score_wght_2 number(20,5) NULL
    );



ALTER TABLE factor_hdr ADD    
    CONSTRAINT PK_factor_hdr PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    